/* Header CSS */



.tc-header {
    display: flex;
    justify-content: center;
    align-items: center;
}
.tc-header #logo {
    margin-right: auto;
}
#mega-menu-wrap-primary #mega-menu-primary a {
    font-weight: 600 !important;
    transition: 0.3s all ease !important;
}

#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator::after {
    font-size: 0;
    border-top: 8px solid;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    height: 0;
    vertical-align: middle;
}

header.site-header #menu {
    margin-left: 20px;
}

#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.nav-btn {
    background: var(--techno-blue);
    display: inline-block;
    border-radius: 35px;
    overflow: hidden;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.nav-btn::before {
    content: "" !important;
    position: absolute;
    right: 0;
    top: 0;
    border-radius: 35px;
    transition: .5s;
    background: var(--white);
    z-index: 1;
    height: 100%;
    width: 0%;
    display: block !important;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.nav-btn:hover:before {
    left: 0;
    width: 100%;
    
}

#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.nav-btn a.mega-menu-link {
    position: relative;
    z-index: 2;
    line-height: 24px;
    padding: 10px 35px;
    height: auto;
}
#mega-menu-wrap-primary, #mega-menu-primary {
    position: static !important;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu {
    max-width: 1480px;
    margin: 0 auto;
    right: 0;
}


li.digital-marketing > .mega-sub-menu,
li.website-services > .mega-sub-menu,
li.about-tc > .mega-sub-menu,
li.white-label-menu > .mega-sub-menu,
li.hire-dev-menu > .mega-sub-menu {
    overflow: hidden !important;
    box-shadow: 0 0 10px rgba(255,255,255,0.5) !important;
}
.two_column_lists > ul > li {
    padding: 0 !important;
}
.single_column_lists.two_column_lists ul.menu li {
    width: 100%;
    margin: 0;
}

.single_column_lists.two_column_lists #mega-menu-item-media_image-2 {
    width: 170px !important;
    padding: 10px !important;
    border-right: 2px dashed #08519e36 !important;
}
.single_column_lists.two_column_lists #mega-menu-item-nav_menu-4 {
    width: calc(100% - 200px) !important;
    padding-left: 40px !important;
}
.inner_mega_menu > .mega-sub-menu .single_column_lists.two_column_lists .mega-block-title {
    margin-bottom: 40px !important;
}
.two_column_lists ul.menu li {
    width: calc(50% - 30px);
    float: left;
    border-bottom: 1px solid rgba(0,0,0,0.1);
    margin: 0 15px;
}
.two_column_lists ul.menu li a {
    font-size: 16px;
    line-height: 30px;
    padding: 10px 50px 10px 0;
    position: relative;
    display: block;
    font-weight: 600;
}
.two_column_lists ul.menu li a::before {
    display: block;
    opacity: 0;
    content: "";
    background: var(--techno-blue);
    width: 0;
    height: 2px;
    position: absolute;
    left: 0;
    right: auto;
    bottom: 0;
    -moz-transition: all 0.4s ease 0s;
    -webkit-transition: all 0.4s ease 0s;
    transition: all 0.4s ease 0s;
}
.two_column_lists ul.menu li a::after {
    content: "\f061";
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    position: absolute;
    right: 30px;
    -moz-transition: all 0.4s ease 0s;
    -webkit-transition: all 0.4s ease 0s;
    transition: all 0.4s ease 0s;
    transform: rotate(-50deg);
}

.two_column_lists ul.menu li a:hover:before {
    width: 100%;
    opacity: 1;
}
.two_column_lists ul.menu li a:hover::after {
    right: 10px;
    transform: rotate(0deg);
    font-size: 20px;
}
.two_column_lists ul.menu li a .after-menu-image-icons {
    font-size: 22px;
    color: var(--techno-blue);
    line-height: 30px;
    margin-right: 5px;
}
.two_column_lists ul.menu li a:focus {
    outline: none !important;
}

.inner_mega_menu > .mega-sub-menu .mega-menu-column {
    padding: 50px 30px !important;
}
.inner_mega_menu > .mega-sub-menu {
    display: flex !important;
    flex-wrap: wrap;
}
.inner_mega_menu > .mega-sub-menu .mega-block-title {
    font-size: 30px !important;
    line-height: 40px !important;
    color: var(--techno-blue) !important;
    position: relative;
    padding-bottom: 15px !important;
    margin-bottom: 10px !important;
    font-weight: bold;
    text-transform: uppercase;
}
.inner_mega_menu > .mega-sub-menu .mega-block-title::before {
    content: "";
    height: 4px;
    width: 80px;
    border-radius: 4px;
    background: var(--techno-blue);
    display: block;
    position: absolute;
    bottom: 0;
}
.inner_mega_menu > .mega-sub-menu .cta_sec .mega-block-title::before {
    background: #fff;
    width: 60px;
}

.inner_mega_menu > .mega-sub-menu .cta_sec {
    background-color: var(--techno-blue) !important;
    display: flex !important;
    align-items: center;
    min-height: 370px !important;
}
.inner_mega_menu > .mega-sub-menu .cta_sec::before {
    content: "" !important;
    background-image: url(../wp-content/uploads/2026/04/cta-bg.webp) !important;
    background-size: cover !important;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: block !important;
    opacity: 0.4;
}
.inner_mega_menu > .mega-sub-menu .cta_sec .btn-transparent{
    background: transparent !important;
}
.inner_mega_menu > .mega-sub-menu .cta_sec .btn-transparent::after {
    background: var(--white);
}
.inner_mega_menu > .mega-sub-menu .cta_sec .btn-transparent:hover {
    color: var(--techno-blue) !important;
}
.inner_mega_menu > .mega-sub-menu .cta_sec .mega-block-title, 
.inner_mega_menu > .mega-sub-menu .cta_sec .textwidget {
    color: #fff !important;
}
.inner_mega_menu > .mega-sub-menu .btn-transparent {
    margin-top: 20px;
}

/* Website Services Menu */
.website-services-tab > ul > li.mega-menu-item {
    padding: 0 !important;
}

.menu-title a {
    font-size: 22px;
    font-weight: 600;
    width: 100%;
    padding-bottom: 5px;
    margin-bottom: 25px;
    border-bottom: 1px solid var(--light-blue);
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}
.menu-title a::before {
    content: "";
    display: block;
      opacity: 0;
      content: "";
      background: var(--techno-blue);
      width: 0;
      height: 2px;
      position: absolute;
      left: 0;
      right: auto;
      bottom: 0;
      -moz-transition: all 0.4s ease 0s;
      -webkit-transition: all 0.4s ease 0s;
      transition: all 0.4s ease 0s;
}
.menu-title a:hover::before {
    width: 100%;
    opacity: 1;
}
.menu-title a i {
    right: 25px;
    transform: rotate(-50deg);
    transition: 0.3s all ease;
    position: relative;
}
.menu-title a:hover i {
    right: 10px;
    transform: rotate(0deg);
    font-size: 20px;
}

.custom-vertical-tabs {
    background: #fff;
    overflow: hidden;
    border: 1px solid #e9e9e9;
    box-shadow: 0 5px 30px rgba(0,0,0,0.05);
}

/* Left Menu */
.tabs-menu {
    background: #f8f9fc;
    height: 100%;
    padding: 20px;
    border-right: 1px solid #eee;
    min-height: 370px;
}

.tabs-menu .nav-link {
    text-align: left;
    border: none;
    border-radius: 12px;
    padding: 14px 18px;
    margin-bottom: 10px;
    font-weight: 600;
    color: #333;
    background: transparent;
    transition: 0.3s ease;
}

.tabs-menu .nav-link i {
    width: 22px;
}

.tabs-menu .nav-link:hover {
    background: #eceffd;
    color: var(--techno-blue);
}

.tabs-menu .nav-link.active {
    background: var(--techno-blue);
    color: #fff;
    box-shadow: 0 10px 20px rgba(13,110,253,0.25);
}
/* Content Area */
.content-area {
    padding: 35px;
}

/* Service List */
.service-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.service-list li {
    margin-bottom: 10px;
}
.service-list li a {
    display: flex;
    align-items: center;
    gap: 14px;
    text-decoration: none;
    color: #222;
    font-size: 16px;
    font-weight: 500;
    padding: 10px 18px;
    border-radius: 12px;
    background: #f8f9fc;
    transition: 0.3s ease;
}

.service-list li a i {
    font-size: 28px;
    color: var(--techno-blue);
    width: 36px;
    text-align: center;
}

.service-list li a:hover {
    background: var(--techno-blue);
    color: #fff;
}

.service-list li a:hover i {
    color: #fff;
}

/* Responsive */
@media(max-width:991px){

    .tabs-menu {
        border-right: none;
        border-bottom: 1px solid #eee;
    }

    .content-area {
        padding: 25px;
    }

}


.toggle-menu-tc {
    background: transparent;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-item-align: center;
    align-self: center;
    -webkit-box-orient: vertical;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    width: 45px;
    height: 42px;
    cursor: pointer;
    padding: 8px 0;
    position: relative;
}

.toggle-menu-tc>span {
    -ms-flex-item-align: end;
    align-self: flex-end;
    height: 4px;
    width: 100%;
    background: #ffffff;
    -webkit-animation: burger-hover 1s infinite ease-in-out alternate;
    animation: burger-hover 1s infinite ease-in-out alternate;
}

.toggle-menu-tc>span:nth-child(2) {
    -webkit-animation: burger-hover 1s infinite ease-in-out alternate forwards .2s;
    animation: burger-hover 1s infinite ease-in-out alternate forwards .2s;
}

.toggle-menu-tc>span:nth-child(3) {
    -webkit-animation: burger-hover 1s infinite ease-in-out alternate forwards .4s;
    animation: burger-hover 1s infinite ease-in-out alternate forwards .4s;
}

@-webkit-keyframes burger-hover {
    0%,100% {
        width: 100%
    }

    50% {
        width: 50%
    }
}

@keyframes burger-hover {
    0%,100% {
        width: 100%
    }

    50% {
        width: 50%
    }
}


.mega-menu-bt-options {
    background: #f5f5f5 !important;
    padding: 15px !important;
}
.mega-menu-bt-options li.middle-column {
    border-left: 1px solid var(--techno-blue) !important;
    border-right: 1px solid var(--techno-blue) !important;
}
.mega-menu-bt-options .contact-detail {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 0 10px;
}
.mega-menu-bt-options .contact-detail .icon {
    width: 50px;
    height: 50px;
    display: flex;
    background: var(--techno-blue);
    align-items: center;
    justify-content: center;
    margin-right: 20px;
    border-radius: 10px;
    color: var(--white);
    font-size: 24px;
}
.mega-menu-bt-options .contact-detail .cnt {
    width: calc(100% - 70px);
}
.mega-menu-bt-options .contact-detail .cnt h3 {
    color: var(--techno-blue);
}
.mega-menu-bt-options .contact-detail .cnt {
    color: #000;
}
.mega-menu-bt-options .contact-detail .cnt span {
    font-size: 16px;
    line-height: 28px;
    font-weight: 400 !important;
    display: block;
}


.mega-menu-bt-options .first-column a {
    text-transform: capitalize;
    color: var(--techno-blue);
}
.mega-menu-bt-options .first-column .mega-heading {
    font-size: 18px;
    font-weight: 600;
}
#mega-menu-wrap-primary #mega-menu-primary a i {
    font-family: fontawesome;
    transition: 0.3s all ease;
}
#mega-menu-wrap-primary #mega-menu-primary a:hover i {
    padding-left: 10px;
}
/*  Mega Menu CSS Start */


.mega-menu-section {
    background: radial-gradient(circle at top left,#0f172a,#020617);
    min-height: 100vh;
    color: #fff;
    overflow: hidden;
    pointer-events: none;
    overflow-x: hidden;
    opacity: 0;
    overflow-y: auto;
    max-height: 100vh;
    z-index: 999999;
    position: fixed;
    top: 0;
    left: 0;
    transition: 1.25s;
    width: 100%;
}
.mega-menu-section.active {
    opacity: 1;
    pointer-events: all;
}

.mega-menu-section .container {
    max-width: 1600px;
}

/* TOPBAR */

.mega-topbar {
    padding: 0px;
    border-bottom: 1px solid rgba(255,255,255,.3);
}

.mega-logo img {
    max-width: 160px;
    width: 100%;
}

.top-links{
    display:flex;
    justify-content:flex-end;
    align-items:center;
    gap:35px;
}

.top-links a{
    color:#fff;
    text-decoration:none;
    font-size:18px;
    transition:.3s;
}

.top-links a:hover,  .mega-footer-links a:hover {
    color: var(--light-blue);
}
.top-links a i {
    margin-left: 6px;
    color: var(--light-blue);
}

.close-menu {
    background: var(--techno-blue);
    padding: 25px 30px;
}

/* MAIN */

.mega-main {
    padding-top: 40px;
    padding-bottom: 40px;
}

/* SERVICE CARD */

.service-card {
    background: rgba(255,255,255,.03);
    background: linear-gradient(90deg,rgba(255, 255, 255, 0) 0%, rgba(8, 81, 158, 0.1) 100%);
    border: 1px solid rgba(8, 81, 158, 0.8);
    border-radius: 24px;
    padding: 35px 15px;
    height: 100%;
    backdrop-filter: blur(14px);
    transition: .4s;
    position: relative;
    overflow: hidden;
}

.service-card:hover{
    transform:translateY(-8px);
    box-shadow:0 0 40px rgba(59,130,246,.18);
}

.service-card-top {
    display: flex;
    gap: 10px;
    align-items: center;
    margin-bottom: 20px;
    position: relative;
    pointer-events: none;
}
.service-card ul.menu li a .after-menu-image-icons {
    display: none;
}
.service-card ul.menu li a .menu-image-title-after {
    padding: 0;
}
.card-icon {
    width: 60px;
    height: 60px;
    border-radius: 10px;
    background: var(--techno-blue);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    min-width: 60px;
}

.service-card .service-card-heading {
    font-size: 24px;
    font-weight: 700;
    font-family: Nunito, sans-serif;
}

.service-card ul{
    padding:0;
    margin:0;
    list-style:none;
}


.inner-menu ul li {
    position: relative;
    padding-left: 25px;
    margin-bottom:20px;
}

.inner-menu ul li::before {
    content: "\f054";
    font-family: fontawesome;
    position: absolute;
    left: 0;
    top: 3px;
    font-size: 16px;
    line-height: 16px;
    color: var(--light-blue);
}


.service-card ul li a {
    font-family: Nunito, sans-serif;
    font-size: 16px;
    color: var(--white);
    text-decoration: none;
    transition: .3s;
    line-height: 24px;
    display: block;
}

.service-card ul li a:hover {
    color: var(--light-blue);
}


/* MINI CARD */

.mini-card {
    background: rgba(255,255,255,.03);
    border: 1px solid rgba(59,130,246,.18);
    border-radius: 10px;
    padding: 15px;
    display: block;
    text-decoration: none;
    color: #fff;
    height: 100%;
    transition: .4s;
}

.mini-card:hover {
    transform: translateY(-6px);
    box-shadow: 0 0 30px rgba(59,130,246,.18);
    color: var(--light-blue);
}

.mini-card i {
    font-size: 32px;
    color: var(--light-blue);
    margin-bottom: 18px;
}
.mini-card .mini-card-heading {
    font-size: 20px;
    margin-bottom: 10px;
    font-family: Nunito, sans-serif;
    font-weight: 800;
}

.mini-card p {
    color: #94a3b8;
    font-size: 14px;
    line-height: 20px;
    margin: 0;
}

/* RIGHT PANEL */

.right-panel{
    display:flex;
    flex-direction:column;
    gap:24px;
}

/* CTA */

.cta-box{
    position:relative;
    border-radius:24px;
    overflow:hidden;
    min-height:300px;
}

.cta-box img{
    width:100%;
    height:100%;
    object-fit:cover;
}

.overlay-content{
    position:absolute;
    inset:0;
    padding:35px;
    background:linear-gradient(to top,rgba(0,0,0,.85),rgba(0,0,0,.2));
    display:flex;
    flex-direction:column;
    justify-content:flex-end;
}

.overlay-content h3{
    font-size:32px;
    line-height:1.4;
    margin-bottom:25px;
}

.cta-btn{
    background:#2563eb;
    color:#fff;
    padding:14px 30px;
    border-radius:14px;
    text-decoration:none;
    width:max-content;
}



/* FOOTER */

.mega-footer {
    padding: 35px 0;
    border-top: 1px solid rgba(255,255,255,.3);
}

.offer-box {
    padding: 30px;
    background-image: url(https://technocrackers.com/wp-content/uploads/2026/04/cta-sec-bg.webp);
    background-size: cover;
    position: relative;
    border-radius: 10px;
    border: 1px solid rgba(8, 81, 158, 0.8);
    overflow: hidden;
}
.offer-box::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: inline-block;
    background: var(--dark-blue);
    opacity: 0.9;
    background: linear-gradient(90deg,rgba(8, 14, 32,0.9) 0%, rgba(8, 81, 158, 0.95) 100%);
}
.offer-box > * {
    position: relative;
}
.offer-box > span {
    color: var(--light-blue);
    font-size: 14px;
    font-weight: 500;
    letter-spacing: 1px;
}
.offer-box .offer-box-heading{
    margin-top:8px;
    font-family: Nunito, sans-serif;
    font-weight: 800;
    font-size: 24px;
}

.claim-btn{
    background:#2563eb;
    color:#fff;
    padding:14px 28px;
    border-radius:14px;
    text-decoration:none;
}

.social-icons {
    display: flex;
    align-items: center;
    gap: 20px;
}
.social-icons span {
    white-space: nowrap;
}

.social-icons ul {
    display: flex;
    gap: 10px;
    margin: 0 !important;
}
.social-icons a {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    border: 1px solid rgba(255,255,255,.4);
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    text-decoration: none;
    transition: .3s;
}

.social-icons a:hover {
    background: rgba(37, 99, 235,0.8);
}
.footer-links{
    display:flex;
    gap:20px;
    justify-content:flex-end;
}

.footer-links a{
    color:#cbd5e1;
    text-decoration:none;
}

.mega-footer-links, .mega-footer-links a {
    font-size: 16px;
    color: #fff;
    text-align: right;
    transition: 0.3s all ease;
}



.toggle-icon {
    display: none;
    position: absolute;
    right: 30px;
    top: 50%;
    font-size: 24px;
    transform: translateY(-50%);
}


/* RESPONSIVE */

@media(max-width:1600px){
    header.site-header {
        padding: 8px 0;
    }
    .mega-main {
        padding-top: 40px;
        padding-bottom: 40px;
    }
    .service-card {
        padding: 25px 15px;
    }
    .inner-menu ul li {
        margin-bottom: 10px;
    }
    .card-icon {
        width: 50px;
        height: 50px;
        font-size: 20px;
        min-width: 50px;
    }
    .service-card .service-card-heading {
        font-size: 18px;
    }
    .mini-card {
        padding: 15px 10px;
    }
    .mini-card i {
        font-size: 26px;
    }
    .mini-card .mini-card-heading {
        font-size: 16px;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
        font-size: 14px;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.nav-btn a.mega-menu-link {
        padding: 10px 20px;
        font-size: 14px;
    }
    .inner_mega_menu > .mega-sub-menu .mega-menu-column {
        padding: 20px 10px !important;
    }
    .two_column_lists ul.menu li a {
        font-size: 14px;
    }
    .tc-header #logo {
        max-width: 160px;
    }
}

@media(max-width:1500px){
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu {
    max-width: calc(100vw - 30px);
        margin: 0 15px !important;
        right: 0;
    }
}
@media(max-width:1199px){
    .service-card ul li a {
        font-size: 14px;
        line-height: 20px;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item {
        display: none;
    }

}
@media(max-width:991px){

    .mega-footer {
        padding: 20px 0;
    }
    .mega-footer-links, .mega-footer-links a {
        font-size: 16px;
    }
    .mega-footer .social-icons {
        flex-wrap: wrap;
    }
    .service-card {
        padding: 0;
        border-radius: 10px;
    }
    .service-card:hover {
        transform: none;
    }
    .card-icon {
        font-size: 18px;
        border-radius: 5px;
    }
    .service-card-top {
        margin-bottom: 0;
        cursor: pointer;
        pointer-events: all;
        padding-right: 55px;
    }
    .service-card-top .toggle-icon {
        display: block;
    }

    .service-card .inner-menu {
        display: none;
        padding: 20px;
    }


}
@media(max-width:768px){
    .tc-header .main-menu {
        display: none;
    }
}
@media(max-width:767px){
    .mega-main {
        padding-top: 30px;
        padding-bottom: 30px;
    }
    .service-card .service-card-heading {
        font-size: 16px;
    }
    .toggle-icon {
        right: 20px;
    }
    .top-links {
        gap: 15px;
    }
    .top-links a.contact-link {
        display: none;
    }
    .top-links .account-link {
        font-size: 0;
        background: var(--techno-blue);
        padding: 10px 12px;
        border-radius: 5px;
        display: flex;
        align-items: center;
    }
    .top-links .account-link i {
        font-size: 20px;
        margin: 0;
        color: var(--white);
    }
    .close-menu {
        padding: 25px 20px;
        font-size: 16px !important;
    }
    .social-icons ul {
        gap: 5px;
    }
    
    .mega-footer-links, .mega-footer-links a {
        text-align: center;
    }
    .mini-card {
        padding: 10px;
    }
    .mini-card .mini-card-heading {
        margin-bottom: 5px;
    }
    .mini-card i {
        font-size: 24px;
        margin-bottom: 6px;
    }
    .offer-box {
        padding: 20px;
    }
    .mega-footer .row {
        flex-direction: column-reverse;
        gap: 10px;
    }
    .mega-footer .social-icons {
        justify-content: center;
        gap: 5px;
        background: #161c34;
        border-radius: 10px;
        padding: 5px;
    }
    .social-icons a {
        width: 38px;
        height: 38px;
        padding: 10px;
    }
}
/*  Mega Menu CSS End */





/* -----------------------------  */


.hire-dev-menu {
    display: none !important;
}

/* -----------------------------  */